# For the sake of illustrating how to define a function
# let's define a function inverting a vector
# (the already existing rev function can do that, actually)
inv_vec <- function(vec) {
  # The last expression defines the return value of the funtion.
  vec[length(vec):1]
}

# Applying it to a vector v
v <- 2:6
cat("inv_vec(v):")
# With explicitly named argument
print(inv_vec(vec=v))
# Equivalently, relying on argument position
# (first and only argument):
print(inv_vec(v))

# More tests of our function
cat("v - inv_vec(v)")
print(v - inv_vec(v))
cat("rev(v) == inv_vec(v)")
print(rev(v) == inv_vec(v))